// Memory Lab - top-level 
// A top-level module which instantiates the memory and mem_test modules

module top;

bit         clk;

always #5 clk = ~clk;

mem_intf mbus (.clk);

mem_test mtest ( .clk, .mbus(mbus) );
mem      m1    ( .clk, .read(mbus.read), .write(mbus.write), .addr(mbus.addr), .data(mbus.data) );

endmodule
